TMF651 v4 Agreement Management (Outbound)

POST Agreement Creation Event Notification

POST /notification/agreementCreateEvent

Security: clientIdEnforcement.

Client listener for receiving the notification AgreementCreateEvent. This endpoint handles notifications when new agreements are created in the system.

Request body

Media type: application/json. Schema: array of object.

Array of object.

  • entityId (string)
    Example: 800LT00000BCYh7YAH.
  • entityName (string)
    Example: Contract.
  • eventId (string)
    Example: 0001ade9-3f74-0b99-dbc4-42e73424b774-1.
  • commitTimestamp (number)
    Example: 1739268701178.
  • commitNumber (number)
    Example: 1750781490623881200.
  • correlationId (string)
    Example: 0001ade9-3f74-0b99-dbc4-42e73424b77.
  • changeEventType (string)
    Example: Create.
  • enrichedFields (object)
  • changedFields (object)

    Example

    field1: "value1"
    field2: "value2"

Example

[
  {
    "entityId": "800LT00000BCYh7YAH",
    "entityName": "Contract",
    "eventId": "00000bfb-58fb-2351-2829-8416857682bd_1",
    "commitTimestamp": 1750220897000,
    "commitNumber": 1750220897648386000,
    "correlationId": "00000bfb-58fb-2351-2829-8416857682bd",
    "changedFields": {
      "field1": "value1",
      "field2": "value2"
    },
    "changeEventType": "Update",
    "enrichedFields": {
      "Id": "800LT00000BCYh7YAH"
    }
  }
]

Responses

  • 201 Agreement creation event successfully processed.

    Headers:

    • X-Ratelimit-Remaining (number, required) The amount of available quota
      Example: 5.
    • X-Ratelimit-Limit (number, required) The maximum available requests per window
      Example: 10.
    • X-Ratelimit-Reset (number, required) The remaining time, in milliseconds, until a new window starts
      Example: 3000.

    Media type: application/json. Schema: array of object.

    Array of object.

    • entityId (string)
      Example: 800LT00000BjaH7YAJ.
    • message (string)
      Example: Event Posted Successfully.

    Example

    [
      {
      "entityId" : "800LT00000BjaH7YAJ",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "0ZzLT00000001fG0AQ",
      "message" : "Invalid Entity Name"
      }
    ]
  • 207 Agreement creation event successfully processed.

    Media type: application/json. Schema: array of object.

    Array of object.

    • entityId (string)
      Example: 800LT00000BjaH7YAJ.
    • message (string)
      Example: Event Posted Successfully.

    Example

    [
      {
      "entityId" : "800LT00000BjaH7YAJ",
      "message" : "Event Posted Successfully"
      },
      {
      "entityId" : "0ZzLT00000001fG0AQ",
      "message" : "Invalid Entity Name"
      }
    ]
  • 400 Bad request

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "400",
      "reason": "string",
      "message": "Bad Request",
      "status": "string",
      "referenceError": "string"
    }
  • 401 Unauthorized

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "401",
      "reason": "string",
      "message": "Unauthorized",
      "status": "string",
      "referenceError": "string"
    }
  • 403 Forbidden

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "403",
      "reason": "string",
      "message": "Forbidden",
      "status": "string",
      "referenceError": "string"
    }
  • 404 Resource not found

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "404",
      "reason": "string",
      "message": "Not Found",
      "status": "string",
      "referenceError": "string"
    }
  • 405 Method not allowed

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "405",
      "reason": "string",
      "message": "Method Not Allowed",
      "status": "string",
      "referenceError": "string"
    }
  • 500 Internal server error

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "500",
      "reason": "string",
      "message": "Internal Server Error",
      "status": "string",
      "referenceError": "string"
    }
  • 501 Not Implemented

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "501",
      "reason": "string",
      "message": "Not Implemented",
      "status": "string",
      "referenceError": "string"
    }
  • 503 Service Unavailable

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "503",
      "reason": "string",
      "message": "Service Unavailable",
      "status": "string",
      "referenceError": "string"
    }
  • 200

    Headers:

    • X-Ratelimit-Remaining (number, required) The amount of available quota
      Example: 5.
    • X-Ratelimit-Limit (number, required) The maximum available requests per window
      Example: 10.
    • X-Ratelimit-Reset (number, required) The remaining time, in milliseconds, until a new window starts
      Example: 3000.